Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# CDistributedSmoothNodeBase Class Reference

This class defines some basic methods of DistributedSmoothNodeBase which have been moved into C++ as a performance optimization. More...

List of all members.

## Public Member Functions
| CDistributedSmoothNodeBase ()
| broadcastPosHprFull ()
| Examines the complete pos/hpr information to see which of the six elements have changed, and broadcasts the appropriate messages.
| broadcastPosHprXy ()
| Examines only X and Y of the pos/hpr information, and broadcasts the appropriate messages.
| broadcastPosHprXyh ()
| Examines only X, Y, and H of the pos/hpr information, and broadcasts the appropriate messages.
| initialize (NodePath const node_path, DCClass dclass, unsigned long long int do_id)
| Initializes the internal structures from some constructs that are normally stored only in Python.
| printCurrL ()
| sendEverything ()
| Broadcasts the current pos/hpr in its complete form.
| setClockDelta (PyObject clock_delta)
| Tells the C++ instance definition about the global ClockDelta object.
| setCurrL (unsigned long long int l)
| Appends the timestamp and sends the update.
| setRepository (CConnectionRepository repository, bool is_ai, unsigned long long int ai_id)
| Tells the C++ instance definition about the AI or Client repository, used for sending datagrams.

## Detailed Description

This class defines some basic methods of DistributedSmoothNodeBase which have been moved into C++ as a performance optimization.

## Constructor & Destructor Documentation

CDistributedSmoothNodeBase | ( |  | ) |

## Member Function Documentation

broadcastPosHprFull | ( |  | ) |

Examines the complete pos/hpr information to see which of the six elements have changed, and broadcasts the appropriate messages.

broadcastPosHprXy | ( |  | ) |

Examines only X and Y of the pos/hpr information, and broadcasts the appropriate messages.

broadcastPosHprXyh | ( |  | ) |

Examines only X, Y, and H of the pos/hpr information, and broadcasts the appropriate messages.

initialize | ( | NodePath const | node_path,
|  | DCClass | dclass,
|  | unsigned long long int | do_id
| ) |  |

Initializes the internal structures from some constructs that are normally stored only in Python.

Also reads the current node's pos & hpr values in preparation for transmitting them via one of the broadcast_pos_hpr_*() methods.

printCurrL | ( |  | ) |

sendEverything | ( |  | ) |

Broadcasts the current pos/hpr in its complete form.

setClockDelta | ( | PyObject | clock_delta | ) |

Tells the C++ instance definition about the global ClockDelta object.

setCurrL | ( | unsigned long long int | l | ) |

Appends the timestamp and sends the update.

setRepository | ( | CConnectionRepository | repository,
|  | bool | is_ai,
|  | unsigned long long int | ai_id
| ) |  |

Tells the C++ instance definition about the AI or Client repository, used for sending datagrams.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties